ClientContext (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.protocol
Interface ClientContext

All Known Implementing Classes:
  ClientContextConfigurer

Deprecated. (4.3) use `HttpClientContext`.

    @Deprecated
    public interface ClientContext

`HttpContext` attribute names for client side HTTP protocol processing.

Since:
  4.0

Field Summary
`static String` | `AUTH_CACHE` Deprecated. Attribute name of a `AuthCache` object that represents the auth scheme cache.
`static String` | `AUTH_SCHEME_PREF` Deprecated.
`static String` | `AUTHSCHEME_REGISTRY` Deprecated. Attribute name of a `Lookup` object that represents the actual `AuthSchemeRegistry` registry.
`static String` | `COOKIE_ORIGIN` Deprecated. Attribute name of a `CookieOrigin` object that represents the actual details of the origin server.
`static String` | `COOKIE_SPEC` Deprecated. Attribute name of a `CookieSpec` object that represents the actual cookie specification.
`static String` | `COOKIE_STORE` Deprecated. Attribute name of a `CookieStore` object that represents the actual cookie store.
`static String` | `COOKIESPEC_REGISTRY` Deprecated. Attribute name of a `Lookup` object that represents the actual `CookieSpecRegistry` registry.
`static String` | `CREDS_PROVIDER` Deprecated. Attribute name of a `CredentialsProvider` object that represents the actual credentials provider.
`static String` | `PROXY_AUTH_STATE` Deprecated. Attribute name of a `AuthState` object that represents the actual proxy authentication state.
`static String` | `REQUEST_CONFIG` Deprecated. Attribute name of a `RequestConfig` object that represents the actual request configuration.
`static String` | `ROUTE` Deprecated. Attribute name of a `RouteInfo` object that represents the actual connection route.
`static String` | `SCHEME_REGISTRY` Deprecated. Attribute name of a `Scheme` object that represents the actual protocol scheme registry.
`static String` | `SOCKET_FACTORY_REGISTRY` Deprecated.
`static String` | `TARGET_AUTH_STATE` Deprecated. Attribute name of a `AuthState` object that represents the actual target authentication state.
`static String` | `USER_TOKEN` Deprecated. Attribute name of a `Object` object that represents the actual user identity such as user `Principal`.

Field Detail

### ROUTE

    static final String ROUTE

  Deprecated.
  Attribute name of a `RouteInfo` object that represents the actual connection route.

  Since:
    4.3
  See Also:
    Constant Field Values

### SCHEME_REGISTRY

    static final String SCHEME_REGISTRY

  Deprecated.
  Attribute name of a `Scheme` object that represents the actual protocol scheme registry.

  See Also:
    Constant Field Values

### COOKIESPEC_REGISTRY

    static final String COOKIESPEC_REGISTRY

  Deprecated.
  Attribute name of a `Lookup` object that represents the actual `CookieSpecRegistry` registry.

  See Also:
    Constant Field Values

### COOKIE_SPEC

    static final String COOKIE_SPEC

  Deprecated.
  Attribute name of a `CookieSpec` object that represents the actual cookie specification.

  See Also:
    Constant Field Values

### COOKIE_ORIGIN

    static final String COOKIE_ORIGIN

  Deprecated.
  Attribute name of a `CookieOrigin` object that represents the actual details of the origin server.

  See Also:
    Constant Field Values

### COOKIE_STORE

    static final String COOKIE_STORE

  Deprecated.
  Attribute name of a `CookieStore` object that represents the actual cookie store.

  See Also:
    Constant Field Values

### CREDS_PROVIDER

    static final String CREDS_PROVIDER

  Deprecated.
  Attribute name of a `CredentialsProvider` object that represents the actual credentials provider.

  See Also:
    Constant Field Values

### AUTH_CACHE

    static final String AUTH_CACHE

  Deprecated.
  Attribute name of a `AuthCache` object that represents the auth scheme cache.

  See Also:
    Constant Field Values

### TARGET_AUTH_STATE

    static final String TARGET_AUTH_STATE

  Deprecated.
  Attribute name of a `AuthState` object that represents the actual target authentication state.

  See Also:
    Constant Field Values

### PROXY_AUTH_STATE

    static final String PROXY_AUTH_STATE

  Deprecated.
  Attribute name of a `AuthState` object that represents the actual proxy authentication state.

  See Also:
    Constant Field Values

### AUTH_SCHEME_PREF

    static final String AUTH_SCHEME_PREF

  Deprecated.
  See Also:
    Constant Field Values

### USER_TOKEN

    static final String USER_TOKEN

  Deprecated.
  Attribute name of a `Object` object that represents the actual user identity such as user `Principal`.

  See Also:
    Constant Field Values

### AUTHSCHEME_REGISTRY

    static final String AUTHSCHEME_REGISTRY

  Deprecated.
  Attribute name of a `Lookup` object that represents the actual `AuthSchemeRegistry` registry.

  See Also:
    Constant Field Values

### SOCKET_FACTORY_REGISTRY

    static final String SOCKET_FACTORY_REGISTRY

  Deprecated.
  See Also:
    Constant Field Values

### REQUEST_CONFIG

    static final String REQUEST_CONFIG

  Deprecated.
  Attribute name of a `RequestConfig` object that represents the actual request configuration.

  Since:
    4.3
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.